Bug 1700784

Summary: svn add / svn commit changes file-permissions of added or committed file
Product: Red Hat Enterprise Linux 7 Reporter: m.gebauer
Component: subversionAssignee: Joe Orton <jorton>
Status: CLOSED NEXTRELEASE QA Contact: RHEL Stacks Subsystem QE <rhel-stacks-subsystem-qe>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 7.0   
Target Milestone: rc   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-28 09:38:12 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description m.gebauer 2019-04-17 11:31:58 UTC
Description of problem:
Since using CentOS 7 as a client a new added or committed change of a file changes the file-permissions to default-values 755 or 644

On CentOS6 this behaviour didn't occur.

Looks like https://groups.google.com/forum/#!topic/subversion_users/ZroQsRztF9w isn't backported into the version used by centos7 (but in centos6)


Version-Release number of selected component (if applicable):
# svn --version
svn, version 1.7.14 (r1542130)
   compiled Apr 11 2018, 02:40:28


How reproducible:
always

Steps to Reproduce:
# svn checkout $url2repo
Checked out revision 2.
# cd $repo
# ls -la
total 0
drwxr-xr-x 2 root root 6 Apr 17 10:21 .
drwxr-xr-x 9 root root 135 Apr 17 10:21 ..
# touch test
# ls -la
total 0
drwxr-xr-x 2 root root 18 Apr 17 10:22 .
drwxr-xr-x 9 root root 135 Apr 17 10:21 ..
-rw-r--r-- 1 root root 0 Apr 17 10:22 test
# chmod 700 test
# ls -la
total 0
drwxr-xr-x 2 root root 18 Apr 17 10:22 .
drwxr-xr-x 9 root root 135 Apr 17 10:21 ..
-rwx------ 1 root root 0 Apr 17 10:22 test
# svn add test
A test
# ls -la
total 0
drwxr-xr-x 2 root root 18 Apr 17 10:22 .
drwxr-xr-x 9 root root 135 Apr 17 10:21 ..
-rwxr-xr-x 1 root root 0 Apr 17 10:22 test
# chmod 700 test
# svn commit -m "testing"
Adding test
Transmitting file data .
Committed revision 3.
# ls -la
total 0
drwxr-xr-x 2 root root 18 Apr 17 10:22 .
drwxr-xr-x 9 root root 135 Apr 17 10:21 ..
-rwxr-xr-x 1 root root 0 Apr 17 10:22 test
# touch test2
# chmod 600 test2
# ls -la
total 0
drwxr-xr-x 2 root root 31 Apr 17 10:23 .
drwxr-xr-x 9 root root 135 Apr 17 10:21 ..
-rwxr-xr-x 1 root root 0 Apr 17 10:22 test
-rw------- 1 root root 0 Apr 17 10:23 test2
# svn add test2
A test2
# ls -la
total 0
drwxr-xr-x 2 root root 31 Apr 17 10:23 .
drwxr-xr-x 9 root root 135 Apr 17 10:21 ..
-rwxr-xr-x 1 root root 0 Apr 17 10:22 test
-rw------- 1 root root 0 Apr 17 10:23 test2
# svn commit -m ""
Adding test2
Transmitting file data .
Committed revision 4.
# ls -la
total 0
drwxr-xr-x 2 root root 31 Apr 17 10:23 .
drwxr-xr-x 9 root root 135 Apr 17 10:21 ..
-rwxr-xr-x 1 root root 0 Apr 17 10:22 test
-rw-r--r-- 1 root root 0 Apr 17 10:23 test2

Actual results:
changed permissions of the added / changed file

Expected results:
permissions should not be touched / changed

Additional info:
CentOS7 as operating-system, issue opened here after https://bugs.centos.org/view.php?id=16014#c34195

Comment 3 Joe Orton 2019-06-28 09:38:12 UTC
This should be resolved in RHEL8.

Thank you for taking the time to report this issue to us. We appreciate the feedback and use reports such as this one to guide our efforts at improving our products. That being said, this bug tracking system is not a mechanism for requesting support, and we are not able to guarantee the timeliness or suitability of a resolution.

If this issue is critical or in any way time sensitive, please raise a ticket through the regular Red Hat support channels to ensure it receives the proper attention and prioritization to assure a timely resolution.